Bug 3679 - python-reportlab was updated to 2.6 version [UPDATE REQUEST]
: python-reportlab was updated to 2.6 version [UPDATE REQUEST]
Status: RESOLVED FIXED
Product: Desktop Bugs
Classification: ROSA Desktop
Component: Main Packages
: Fresh
: All Linux
: Normal normal
: ---
Assigned To: ROSA Linux Bugs
: ROSA Linux Bugs
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2014-01-23 13:43 MSK by Alexander Burmashev
Modified: 2014-01-27 10:40 MSK (History)
1 user (show)

See Also:
RPM Package: python-reportlab
ISO-related:
Bad POT generating:
Upstream:
vladimir.potapov: qa_verified+
alex.burmashev: published+


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Alexander Burmashev 2014-01-23 13:43:26 MSK
python-reportlab was updated to  2.6 version
Comment 1 Alexander Burmashev 2014-01-23 13:45:34 MSK
Advisory:
python-reportlab was updated to 2.6 version. 
This is a minor release focusing mainly on improved documentation.  There are a.
number of minor enhancements, and a larger number of previous-undocumented
enhancements which we have documented better

Buildlists:
https://abf.rosalinux.ru/build_lists/1543941
https://abf.rosalinux.ru/build_lists/1543940


Addition info:
Full Changelog:
###General changes
   * Manuals have been reformatted with more pleasing code snippets and tables of
     contents, and reviewed and expanded

###Flowing documents (Platypus):
   * Added support for HTML-style list objects
   * Added flexible mechanism for drawing bullets
   * Allowed XPreformatted objects to use Asian line wrapping
   * Added an 'autoNextPageTemplate' attribute to PageTemplates.  For example you
     can now set up a 'chapter first page template' which will always be followed
     by a 'continuation template' on the next page break, saving the programmer from
     having to issue control flow commands in the story.
   * added a TopPadder flowable, which will 'wrap' another Flowable and move it
     to the bottom of the current page.
   * More helpful error messages when large tables cannot be rendered
   * Documentation for images within text (test_032_images)
   * Trailing dots for use on contents pages



###Charts and graphics:
   * Support for UPCA bar codes
   * We now have a semi-intelligent system for labelling pie charts with
     callout lines.  Thanks to James Martin-Collar, a maths student at Warwick
     University, who did this as his summer internship.
   * Axes - added startOffset and endOffset properties; allowed for axis
     background annotations.
   * Bar charts - allow more control of z Index (i.e. drawing order of axes and
     lines)
   * Pie charts - fixed bugs in 3d appearance
   * SVG output back end has seen some bugs fixed and now outputs resizeable SVG
Comment 2 Vladimir Potapov 2014-01-25 07:41:13 MSK
python-reportlab-2.6-1-rosa2012.1
**************************** Advisory *********************
python-reportlab was updated to 2.6 version. 
This is a minor release focusing mainly on improved documentation.  There are a.
number of minor enhancements, and a larger number of previous-undocumented
enhancements which we have documented better
*************************** Changelog *********************
###General changes
   * Manuals have been reformatted with more pleasing code snippets and tables of
     contents, and reviewed and expanded

###Flowing documents (Platypus):
   * Added support for HTML-style list objects
   * Added flexible mechanism for drawing bullets
   * Allowed XPreformatted objects to use Asian line wrapping
   * Added an 'autoNextPageTemplate' attribute to PageTemplates.  For example you
     can now set up a 'chapter first page template' which will always be followed
     by a 'continuation template' on the next page break, saving the programmer from
     having to issue control flow commands in the story.
   * added a TopPadder flowable, which will 'wrap' another Flowable and move it
     to the bottom of the current page.
   * More helpful error messages when large tables cannot be rendered
   * Documentation for images within text (test_032_images)
   * Trailing dots for use on contents pages



###Charts and graphics:
   * Support for UPCA bar codes
   * We now have a semi-intelligent system for labelling pie charts with
     callout lines.  Thanks to James Martin-Collar, a maths student at Warwick
     University, who did this as his summer internship.
   * Axes - added startOffset and endOffset properties; allowed for axis
     background annotations.
   * Bar charts - allow more control of z Index (i.e. drawing order of axes and
     lines)
   * Pie charts - fixed bugs in 3d appearance
   * SVG output back end has seen some bugs fixed and now outputs resizeable SVG
*******************************************************
QA Verified